## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Tests require network so disabled by default
# To run locally, use: fedpkg mockbuild --enable-network --with=network
%bcond_with network

Name:           python-pooch
Version:        1.5.2
Release:        %autorelease
Summary:        A friend to fetch your data files

License:        BSD
URL:            https://pypi.org/project/pooch/
Source0:        %{pypi_source pooch}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
%if %{with network}
BuildRequires:  python3-paramiko
BuildRequires:  python3-tqdm
BuildRequires:  python3-xxhash
%endif

%global _description %{expand:
Pooch manages your Python library's sample data files: 
it automatically downloads and stores them in a local directory, 
with support for versioning and corruption checks.}

%description %_description

%package -n python3-pooch
Summary:        %{summary}

%description -n python3-pooch %_description


%prep
%autosetup -n pooch-%{version}

%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pooch


%check
%pyproject_check_import
%if %{with network}
# requires pytest-localftpserver which is not currently packaged in Fedora
%pytest -k "not ftp_downloader and not downloader_progressbar_ftp"
%endif

%files -n python3-pooch -f %{pyproject_files}
%doc README.* CITATION.* CODE_OF_CONDUCT.* CONTRIBUTING.* MAINTENANCE.*

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.5.2-8
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 08 2022 Vanessa_kris <vanessaigwe1@gmail.com> - 1.5.2-6
- initial import to src.fp.o

* Sat Jan 08 2022 Vanessa_kris <vanessaigwe1@gmail.com> - 1.5.2-5
- added buildRequirement pytest even without network access

* Sat Jan 08 2022 Vanessa_kris <vanessaigwe1@gmail.com> - 1.5.2-4
- Minor tweaks

* Sat Jan 08 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.5.2-3
- feat: remove duplicate files

* Sat Jan 08 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.5.2-2
- feat: set up for network dependent tests

* Sat Jan 08 2022 Vanessa_kris <vanessaigwe1@gmail.com> - 1.5.2-1
- initial build
